{
        Program Name : ModRef
        Package Name : CEF
        Purpose      : CEF32 register modification dialog
        Institution  :
        Date Written : 27-Apr-2002
        Written By   : Alan Conroy
        Version      : 1.1

        TO THE GLORY OF GOD THROUGH JESUS CHRIST

        Released to the public domain.

        *************************************************************
        *                                                           *
        *        M O D I F I C A T I O N   H I S T O R Y            *
        *                                                           *
        *    DATE        BY          REASON                         *
        *                                                           *
        *                                                           *
        *************************************************************

        *************************************************************
        *                                                           *
        *        P R O G R A M   P U R P O S E                      *
        *                                                           *
        *************************************************************

          This dialog is used to query the user for register value changes.
}

unit ModReg ;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls;

type
  TModify_Register = class(TForm)
    Button_Panel: TPanel;
    OK_Button: TBitBtn;
    BitBtn2: TBitBtn;
    BitBtn3: TBitBtn;
    Label1: TLabel;
    Edit1: TEdit;
    procedure Edit1Change(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
  private
    { Private declarations }
  public // API...
      Base : integer ; // Default radix
      Size : integer ; // Size, in bits
      Value : int64 ; // Converted value that was entered
  end ;

var Modify_Register : TModify_Register ;

implementation

uses CVT ; // CVTB

{$R *.DFM}

procedure TModify_Register.Edit1Change( Sender : TObject ) ;

var E : integer ;
    _Value : int64 ;

begin
    // Handle null...
    if( length( Edit1.Text ) = 0 ) then
    begin
        OK_Button.Enabled := False ;
        exit ;
    end ;

    // Check for valid digits for base...
    E := Base ;
    OK_Button.Enabled := Translate_Value( Edit1.Text, 0, E, _Value ) ;
    if( not OK_Button.Enabled ) then // Invalid value
    begin
        exit ;
    end ;

    // Check for value size...
    if( ( _Value shr Size ) <> 0 ) then // Too big
    begin
        OK_Button.Enabled := False ;
        exit ;
    end ;
    Value := _Value ;
end ;


procedure TModify_Register.BitBtn3Click( Sender : TObject ) ;

begin
    Application.HelpContext( HelpContext ) ;
end ;



end.
