unit EditPref ;


{
        Program Name : EditPref
        Package Name : LB
        Purpose      : Editor Window preferences dialog
        Institution  : Conroy & Conroy Co.
        Date Written : 10-Nov-1992
        Written By   : Alan Conroy
        Version      : 1.3

        Copyright (C) 1992 by Alan Conroy.  Released to the public domain

        TO THE GLORY OF GOD THROUGH JESUS CHRIST

        *************************************************************
        *                                                           *
        *        M O D I F I C A T I O N   H I S T O R Y            *
        *                                                           *
        *    DATE        BY          REASON                         *
        *                                                           *
        *                                                           *
        *************************************************************

        *************************************************************
        *                                                           *
        *        P R O G R A M   P U R P O S E                      *
        *                                                           *
        *************************************************************

          This program is the editor window preferences dialog.
}

interface

uses // Borland....
     Windows,
     Messages,
     SysUtils,
     Classes,
     Graphics,
     Controls,
     Forms, // TForm
     Dialogs,
     StdCtrls; // TCheckBox

type
  TEditor_Preferences = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Help_Button: TButton;
    Persistant_Selection: TCheckBox;
    Bounded_Caret: TCheckBox;
    Inactive_Selection: TCheckBox;
    Tab_Processing: TCheckBox;
    Sub_Window: TCheckBox;
    Auto_Indent: TCheckBox;
    Wrap_Caret: TCheckBox;
    procedure Help_ButtonClick(Sender: TObject);
  end ;

var Editor_Preferences : TEditor_Preferences = nil ;

implementation

{$R *.DFM}

procedure TEditor_Preferences.Help_ButtonClick( Sender : TObject ) ;

begin
    Application.HelpContext( HelpContext ) ;
end ;



end.
