{$V-}
{
          Program Name : Paint_Panel
          Package Name : LB
          Purpose      : Control to allow other code to draw on
          Institution  : Conroy & Conroy
          Date Written : 27-Jul-2004
          Written By   : Alan Conroy
          Version      : 1.0

          Copyright (C) 2004 by Alan Conroy.  Released to the public domain.

          TO THE GLORY of GOD THROUGH JESUS CHRIST

	*********************************************************
	*                                                       *
	*        M O D I F I C A T I O N   H I S T O R Y        *
	*                                                       *
	*     DATE      BY             REASON                   *
	*                                                       *
	*                                                       *
	*********************************************************

	*********************************************************
	*                                                       *
	*           P R O G R A M   P U R P O S E               *
	*                                                       *
	*********************************************************

	  These routines provide complete screen management.
}

unit Paint_Panel ;

interface

uses // Borland...
     Classes, // TNotifyEvent
     Controls ; // TCustomControl

type TPaint_Panel = class( TCustomControl )
                        public
                            On_Paint : TNotifyEvent ;

                            procedure Paint ; override ;
                            property Canvas ;
                            property Color ;
                            property Font ;
                            property OnClick ;
                    end ;


implementation

procedure TPaint_Panel.Paint ;

begin
    if( assigned( On_Paint ) ) then
    begin
        On_Paint( self ) ;
    end else
    begin
        inherited Paint ;
    end ;
end ;



end.

