{
        Program Name : PC108_KB
        Package Name : CEF
        Purpose      : 108-key PC keyboard
        Institution  : Conroy & Conroy Co.
        Date Written : 31-Jan-2007
        Written By   : Alan Conroy
        Version      : 1.0A

	Released to the public domain.

        TO THE GLORY OF GOD THROUGH JESUS CHRIST

        *************************************************************
        *                                                           *
        *        M O D I F I C A T I O N   H I S T O R Y            *
        *                                                           *
        *    DATE        BY          REASON                         *
        *                                                           *
        *                                                           *
        *************************************************************

        *************************************************************
        *                                                           *
        *        P R O G R A M   P U R P O S E                      *
        *                                                           *
        *************************************************************

          This is a CEF keyboard component with a 108-key PC keyboard layout.
}

library PC108_KB ;

uses
  Forms,
  App,
  CEF,
  PC_108_KB in 'PC_108_KB.pas',
  PC108KB_main in 'PC108KB_main.pas' {Main_Form};

{$R *.res}

const PC108KB_Facility = -1 ;

function Facility_Code : integer ; stdcall ;

begin
    Result := PC108KB_Facility ;
end ;


function Make_Instance( Serial_Number : integer ; UI : TUI_Interface ) : TPC108KB ;
    stdcall ;

begin
    Result := TPC108KB.Create ;
    Result.Initialize( UI ) ;
    Result._Serial_Number := Serial_Number ;
end ;


function Version : longint ;

begin
    Version := 20 ; // Version 2.0
end ;


{$WARNINGS OFF}
exports Facility_Code index 0,
        Make_Instance index 1,
        Version index 2 ;
{$WARNINGS ON}


var F : TForm ;

begin
    Application.Initialize ;
    Application.CreateForm(TForm, F);
    F.Visible := False ;
    { Delphi kills the DLL when the first created form is closed, so create this
      form so if the screen is destroyed (by terminating the TPC108
      object), the DLL remains. }
end.
