{
        Program Name : Serial
        Package Name : CEF
        Purpose      : Serial cable.
        Institution  : Conroy & Conroy Co.
        Date Written : 13-Deceber-2006
        Written By   : Alan Conroy
        Version      : 1.0

	Copyright (C) 2006 by Alan Conroy.  Released to the public domain.

        TO THE GLORY OF GOD THROUGH JESUS CHRIST

        *************************************************************
        *                                                           *
        *        M O D I F I C A T I O N   H I S T O R Y            *
        *                                                           *
        *    DATE        BY          REASON                         *
        *                                                           *
        *                                                           *
        *************************************************************

        *************************************************************
        *                                                           *
        *        P R O G R A M   P U R P O S E                      *
        *                                                           *
        *************************************************************

          Provides a generic serial cable (eg RS-232).
}

library Serial ;

uses // C&C...
     _App,
     App,

     // CEF...
     CEF,
     Serial_Cable ; // TSerial_Cable

{$R *.res}

function Facility_Code : integer ; stdcall ;

begin
    Result := CEFSerial_Facility ;
end ;


function Make_Instance( Serial_Number : integer ;
    UI : TUI_Interface ) : TSerial_Cable ; stdcall ;

begin
    Result := TSerial_Cable.Create ;
    Result.Initialize( UI ) ;
    Result._Serial_Number := Serial_Number ;
end ;


function Version : longint ;

begin
    Version := 20 ; // Version 2.0
end ;


{$WARNINGS OFF}
exports Facility_Code index 0,
        Make_Instance index 1,
        Version index 2 ;
{$WARNINGS ON}

end.

