{
        Program Name : Menu_Popup_Form
        Package Name : LB
        Purpose      : Menu popup form
        Institution  : Conroy & Conroy Co.
        Date Written : 3-Mar-2004
        Written By   : Alan Conroy
        Version      : 1.0

	Copyright (C) 2004 by Alan Conroy.  All rights reserved.

        TO THE GLORY OF GOD THROUGH JESUS CHRIST

        *************************************************************
        *                                                           *
        *        M O D I F I C A T I O N   H I S T O R Y            *
        *                                                           *
        *    DATE        BY          REASON                         *
        *                                                           *
        *                                                           *
        *************************************************************

        *************************************************************
        *                                                           *
        *        P R O G R A M   P U R P O S E                      *
        *                                                           *
        *************************************************************

          Provides a placeholder form with On_message capability.
}

unit Menu_Popup_Form ;

interface

uses // Borland...
     Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
     Dialogs ;

type TPopup_Form = class( TForm )
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
                       private { Private declarations }
                       public // API...
                           On_Message : TMessageEvent ;

                           procedure DefaultHandler( var Message ) ; override ;
                           procedure WMGetDlgCode( var Message : TMessage ) ;
                               message wm_GetDlgCode ;

                   end ;

implementation

uses // C&C...
     VCL_Std ; // Convert_Message

{$R *.dfm}

// TPopup_Form methods...

// API...

procedure TPopup_Form.DefaultHandler( var Message ) ;

var Handled : boolean ;
    Msg : TMsg ;

begin
    Handled := False ;
    if( assigned( On_Message ) ) then
    begin
        Msg := Convert_Message( TMessage( Message ) ) ;
        On_Message( Msg, Handled ) ;
    end ;
    if( not Handled ) then
    begin
        inherited DefaultHandler( Message ) ;
    end ;
end ;


procedure TPopup_Form.WMGetDlgCode( var Message : TMessage ) ;

begin
    Message.Result := DLGC_WANTALLKEYS or DLGC_WANTARROWS ;
end ;


procedure TPopup_Form.FormKeyDown( Sender : TObject ; var Key : Word ;
    Shift : TShiftState ) ;

begin
    if( Key = VK_ESCAPE ) then
    begin
        Visible := False ;
        Key := 0 ;
    end ;
end ;


end.
